PowerPoint7Text Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
PowerPoint7Text Class Reference

the main class to read the text part of a PowerPoint 95 file More...

`#include <PowerPoint7Text.hxx>`

## Public Member Functions
| PowerPoint7Text (PowerPoint7Parser &parser)
| constructor More...
virtual | ~PowerPoint7Text ()
| destructor More...
int | version () const
| returns the file version More...
void | setFontFamily (std::string const &family)
| sets the default font family More...
bool | sendText (int textId)
| try to send the text content More...

## Protected Member Functions
bool | readFontCollection (int level, long endPos)
| try to read the font collection zone 2005 More...
bool | readFieldList (int level, long endPos)
| try to read the field definition list zone 2027 More...
bool | readTextZoneContainer (int level, long endPos, PowerPoint7TextInternal::TextZone &zone)
| try to read a text zone container, zone 2028 More...
bool | readTextZone (int level, long endPos, PowerPoint7TextInternal::TextZone &zone)
| try to read a text zone 2030 More...
bool | readTextMasterProp (int level, long endPos, int &textId)
| try to read the master text prop atom zone 4002 More...
bool | readTextMasterPropAtom (int level, long endPos)
| try to read the text master prop atom zone 4003 More...
bool | readRulerList (int level, long endPos)
| try to read the list of rulers zone 4016 More...
bool | readRuler (int level, long endPos, PowerPoint7TextInternal::Ruler &ruler)
| try to read the ruler margins zone 4019 More...
bool | readRulerSetId (int level, long endPos, int &id)
| try to read the ruler set id zone 4021 More...
bool | readFontContainer (int level, long endPos, std::string &fName)
| try to read the font container zone 4022 More...
bool | readFont (int level, long endPos, std::string &fName)
| try to read the font entity atom zone 4023 More...
bool | readFontEmbedded (int level, long endPos)
| try to read an embedded font container zone 4024 More...
bool | readExternalHyperlinkAtom (int level, long endPos)
| try to read the external hyper link atom zone: 4051 More...
bool | readExternalHyperlinkData (int level, long endPos)
| try to read the external hyper link atom zone: 4055 More...
bool | readFieldDef (int level, long endPos, int &format)
| try to read the field definition zone 4056 More...
bool | readZone4064 (int level, long endPos, int rId, int &textId)
| try to read the zone 4064: child of MasterTextPropAtom,ExternalHyperlink9 More...
bool | readZone4066 (int level, long endPos)
| try to read the zone 4066: child of 4064 More...
bool | readZone4067 (int level, long endPos)
| try to read the zone 4067: child of 4064 More...
bool | readExternalHyperlink9 (int level, long endPos, int &tId)
| try to read the external hyper link zone: 4068 More...
bool | readRulerContainer (int level, long endPos, PowerPoint7TextInternal::Ruler &ruler)
| try to read the ruler container zone: 4069 More...
bool | readRulerTabs (int level, long endPos, PowerPoint7TextInternal::Ruler &ruler)
| try to read the tab list zone: 4070 More...

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state More...
std::shared_ptr< PowerPoint7TextInternal::State > | m_state
| the state More...
PowerPoint7Parser * | m_mainParser
| the main parser; More...

## Private Member Functions
| PowerPoint7Text (PowerPoint7Text const &orig)=delete
PowerPoint7Text & | operator= (PowerPoint7Text const &orig)=delete

## Friends
class | PowerPoint7Parser

## Detailed Description

the main class to read the text part of a PowerPoint 95 file

## Constructor & Destructor Documentation

## ◆ PowerPoint7Text() [1/2]

PowerPoint7Text::PowerPoint7Text | ( | PowerPoint7Parser & | parser | ) |
| explicit

constructor

## ◆ ~PowerPoint7Text()

PowerPoint7Text::~PowerPoint7Text | ( |  | ) |
| virtual

destructor

## ◆ PowerPoint7Text() [2/2]

PowerPoint7Text::PowerPoint7Text | ( | PowerPoint7Text const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

PowerPoint7Text& PowerPoint7Text::operator= | ( | PowerPoint7Text const & | orig | ) |
| privatedelete

## ◆ readExternalHyperlink9()

bool PowerPoint7Text::readExternalHyperlink9 | ( | int | level,
|  | long | endPos,
|  | int & | tId
| ) |  |
| protected

try to read the external hyper link zone: 4068

## ◆ readExternalHyperlinkAtom()

bool PowerPoint7Text::readExternalHyperlinkAtom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the external hyper link atom zone: 4051

Referenced by readTextMasterProp().

## ◆ readExternalHyperlinkData()

bool PowerPoint7Text::readExternalHyperlinkData | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the external hyper link atom zone: 4055

Referenced by readTextMasterProp().

## ◆ readFieldDef()

bool PowerPoint7Text::readFieldDef | ( | int | level,
|  | long | endPos,
|  | int & | format
| ) |  |
| protected

try to read the field definition zone 4056

Referenced by readFieldList().

## ◆ readFieldList()

bool PowerPoint7Text::readFieldList | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the field definition list zone 2027

## ◆ readFont()

bool PowerPoint7Text::readFont | ( | int | level,
|  | long | endPos,
|  | std::string & | fName
| ) |  |
| protected

try to read the font entity atom zone 4023

Referenced by readFontContainer().

## ◆ readFontCollection()

bool PowerPoint7Text::readFontCollection | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the font collection zone 2005

## ◆ readFontContainer()

bool PowerPoint7Text::readFontContainer | ( | int | level,
|  | long | endPos,
|  | std::string & | fName
| ) |  |
| protected

try to read the font container zone 4022

Referenced by readFontCollection().

## ◆ readFontEmbedded()

bool PowerPoint7Text::readFontEmbedded | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read an embedded font container zone 4024

Referenced by readFontContainer().

## ◆ readRuler()

bool PowerPoint7Text::readRuler | ( | int | level,
|  | long | endPos,
|  | PowerPoint7TextInternal::Ruler & | ruler
| ) |  |
| protected

try to read the ruler margins zone 4019

Referenced by readRulerContainer().

## ◆ readRulerContainer()

bool PowerPoint7Text::readRulerContainer | ( | int | level,
|  | long | endPos,
|  | PowerPoint7TextInternal::Ruler & | ruler
| ) |  |
| protected

try to read the ruler container zone: 4069

Referenced by readRulerList().

## ◆ readRulerList()

bool PowerPoint7Text::readRulerList | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the list of rulers zone 4016

## ◆ readRulerSetId()

bool PowerPoint7Text::readRulerSetId | ( | int | level,
|  | long | endPos,
|  | int & | id
| ) |  |
| protected

try to read the ruler set id zone 4021

Referenced by readExternalHyperlink9(), and readTextMasterProp().

## ◆ readRulerTabs()

bool PowerPoint7Text::readRulerTabs | ( | int | level,
|  | long | endPos,
|  | PowerPoint7TextInternal::Ruler & | ruler
| ) |  |
| protected

try to read the tab list zone: 4070

Referenced by readRulerContainer().

## ◆ readTextMasterProp()

bool PowerPoint7Text::readTextMasterProp | ( | int | level,
|  | long | endPos,
|  | int & | textId
| ) |  |
| protected

try to read the master text prop atom zone 4002

## ◆ readTextMasterPropAtom()

bool PowerPoint7Text::readTextMasterPropAtom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the text master prop atom zone 4003

Referenced by readExternalHyperlink9(), and readTextMasterProp().

## ◆ readTextZone()

bool PowerPoint7Text::readTextZone | ( | int | level,
|  | long | endPos,
|  | PowerPoint7TextInternal::TextZone & | zone
| ) |  |
| protected

try to read a text zone 2030

Referenced by readTextZoneContainer(), and readZone4064().

## ◆ readTextZoneContainer()

bool PowerPoint7Text::readTextZoneContainer | ( | int | level,
|  | long | endPos,
|  | PowerPoint7TextInternal::TextZone & | zone
| ) |  |
| protected

try to read a text zone container, zone 2028

Referenced by readZone4064().

## ◆ readZone4064()

bool PowerPoint7Text::readZone4064 | ( | int | level,
|  | long | endPos,
|  | int | rId,
|  | int & | textId
| ) |  |
| protected

try to read the zone 4064: child of MasterTextPropAtom,ExternalHyperlink9

Referenced by readExternalHyperlink9(), and readTextMasterProp().

## ◆ readZone4066()

bool PowerPoint7Text::readZone4066 | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 4066: child of 4064

Referenced by readZone4064().

## ◆ readZone4067()

bool PowerPoint7Text::readZone4067 | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 4067: child of 4064

Referenced by readZone4064().

## ◆ sendText()

bool PowerPoint7Text::sendText | ( | int | textId | ) |

try to send the text content

## ◆ setFontFamily()

void PowerPoint7Text::setFontFamily | ( | std::string const & | family | ) |

sets the default font family

## ◆ version()

int PowerPoint7Text::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

## ◆ PowerPoint7Parser

friend class PowerPoint7Parser
| friend

## Member Data Documentation

## ◆ m_mainParser

PowerPoint7Parser* PowerPoint7Text::m_mainParser
| protected

the main parser;

Referenced by readExternalHyperlink9(), readFieldList(), readFontCollection(), readFontContainer(), readRulerContainer(), readRulerList(), readTextMasterProp(), readTextZone(), readTextZoneContainer(), and readZone4064().

## ◆ m_parserState

MWAWParserStatePtr PowerPoint7Text::m_parserState
| protected

the parser state

Referenced by readExternalHyperlink9(), readExternalHyperlinkAtom(), readExternalHyperlinkData(), readFieldDef(), readFieldList(), readFont(), readFontCollection(), readFontContainer(), readFontEmbedded(), readRuler(), readRulerContainer(), readRulerList(), readRulerSetId(), readRulerTabs(), readTextMasterProp(), readTextMasterPropAtom(), readTextZone(), readTextZoneContainer(), readZone4064(), readZone4066(), readZone4067(), sendText(), and version().

## ◆ m_state

std::shared_ptr<PowerPoint7TextInternal::State> PowerPoint7Text::m_state
| protected

the state

Referenced by readFieldList(), readFontCollection(), readRulerList(), readTextZone(), readZone4064(), sendText(), and setFontFamily().

The documentation for this class was generated from the following files:

- PowerPoint7Text.hxx
- PowerPoint7Text.cxx